@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200&family=Roboto&display=swap');

*{
    margin: 0;
    padding: 0;
}
nav{
    background-color: black;
    color: white;
    height: 55px;
    font-size: 27px;
    display: flex;
    align-items: center;
    padding: 0 12px;
    font-family: 'Poppins', sans-serif;
}

nav ul{
    list-style: none;
}
.gameContainer{
    display: flex;
    justify-content: center;
    margin-top: 50px;

}
.container{
    display: grid;
    grid-template-columns: repeat(3,10vw);
    grid-template-rows: repeat(3,10vw);
    font-family: 'Poppins', sans-serif;
    position: relative;
}
.box{
    border: 2px solid black;
    font-size: 8vw;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}
.box:hover{
    background-color: rgb(231, 223, 239);
}
.info{
    font-size: 22px;
}
.gameInfo{
    padding: 0 34px;
}
.gameInfo h1{
    font-size: 2.5rem;
}
.imgbox img{
    width: 0;
    transition: width 1s ease-in-out;
}
.br-0{
    border-right: 0;
}
.bl-0{
    border-left: 0;
}
.bt-0{
    border-top: 0;
}
.bb-0{
    border-bottom: 0;
}
#reset{
    margin: 0 23px;
    padding: 6px 14px;
    background: rgb(225, 225, 225);
    border-radius: 6px;
    cursor: pointer;
}
.line{
    background-color: black;
    height: 3px;
    width: 0vw;
    position: absolute;
    transition: width 1s ease-in;
}

@media screen and (max-width:950px){
    .gameContainer{
        flex-wrap: wrap;
    }
    .gameInfo{
        margin-top: 34px;
    }
    .gameInfo h1{
        font-size: 1.5rem;
    }
    .container{
        display: grid;
        grid-template-columns: repeat(3,20vh);
        grid-template-rows: repeat(3,20vh);
    }
    .line{
        height: 0;
    }
}